

/*
-- ------ Main ------ --
*/
function CoreCommon(){}
//-- ------ #Parameters ------ --
CoreCommon.prototype.sName="mainCount";
CoreCommon.prototype.sPATH="Mana/";
CoreCommon.prototype.sPage="m_nets/user/main.php";
CoreCommon.prototype.sType=0;
CoreCommon.prototype.sOpenFlag=0;
CoreCommon.prototype.sRootURL="../../../";
CoreCommon.prototype.sAjax_0=new netsSingleAjax();


//-- ------ #Methods ------ --
//#Notes

CoreCommon.prototype.OnClick=function(){
	if(this.sOpenFlag==0){
		this.OnOpen();
		this.sOpenFlag=1;
	}else{
		this.OnClose();
		this.sOpenFlag=0;
	}
	
	return 0;
}
CoreCommon.prototype.OnOpen=function(){
	if(this.sType==0){
		document.getElementById(this.sName+"_Img").childNodes[0].src=this.sRootURL+"Ui/m_nets/Img/Mana/45_B.jpg";
		document.getElementById(this.sName+"_Img").className="";
	}else{
		document.getElementById(this.sName+"_Img").childNodes[0].src=this.sRootURL+"Ui/m_nets/Img/Mana/46_B.jpg";
		document.getElementById(this.sName+"_Img").className="";
	}
	
	return 0;
}
CoreCommon.prototype.OnClose=function(){
	if(this.sType==0){
		document.getElementById(this.sName+"_Img").childNodes[0].src=this.sRootURL+"Ui/m_nets/Img/Mana/45_A.jpg";
	}else{
		document.getElementById(this.sName+"_Img").childNodes[0].src=this.sRootURL+"Ui/m_nets/Img/Mana/46_A.gif";
	}
	document.getElementById(this.sName+"_Box").className=tmpCommon.sysHidden;
	
	return 0;
}
function main_LoadNotes_Callback(){
	var tmpFlag=tmpMain.sAjax_Notes.sFlag;
	var tmpPanel=document.getElementById(tmpMain.sAjax_Notes.sPanel);
	var tmpURL=tmpMain.sAjax_Notes.sURL;
	var tmpHttpRequests=tmpMain.sAjax_Notes.sHttpRequests;
	//alert(tmpHttpRequests.responseText);
	if(tmpHttpRequests.readyState==4){
		//alert(tmpHttpRequests.responseText);
		var tmpData=getDataByFlag(tmpHttpRequests.responseText,tmpFlag);
		//alert(tmpData);
		if(tmpData.indexOf("sendRequest")>=0 && tmpData!="<!--sendRequest-->"){
			tmpPanel.innerHTML=tmpData;
	    }else{
	    	tmpPanel.innerHTML=tmpCommon.sysError_Ajax.replace(/\{Nets.Response}/g,tmpURL);
	    }
	}else{
		tmpPanel.innerHTML=tmpCommon.sysLoading_Ajax;
	}
}
//-- #QMenu --
CoreCommon.prototype.sQMenu_Name="QMenu";
CoreCommon.prototype.sQMenu_Ajax_0=new netsSingleAjax();
CoreCommon.prototype.sQMenu_Flag=0;
CoreCommon.prototype.sQMenu_Top=110;
CoreCommon.prototype.sQMenu_Width_A=22;
CoreCommon.prototype.sQMenu_Width_B=530;
CoreCommon.prototype.OnQMenu_Move=function(){
	var tmpElement=document.getElementById(this.sQMenu_Name+"_Box");
	if(tmpElement!=undefined){
		tmpINT=document.documentElement.scrollTop+this.sQMenu_Top;
		tmpElement.style.top=tmpINT+tmpCommon.sysPx;
		tmpINT=0;
		tmpINT=document.documentElement.clientWidth-this.sQMenu_Width_A;
		tmpElement.style.left=tmpINT+tmpCommon.sysPx;
		
	}
	tmpElement=document.getElementById(this.sQMenu_Name+"_Content_A");
	if(tmpElement!=undefined){
		tmpINT=document.documentElement.scrollTop+this.sQMenu_Top;
		tmpElement.style.top=tmpINT+tmpCommon.sysPx;
		tmpINT=0;
		tmpINT=document.documentElement.clientWidth-this.sQMenu_Width_B;
		tmpElement.style.left=tmpINT+tmpCommon.sysPx;
		
	}
	tmpElement=document.getElementById(this.sQMenu_Name+"_Content_B");
	if(tmpElement!=undefined){
		tmpINT=document.documentElement.scrollTop+this.sQMenu_Top;
		tmpElement.style.top=tmpINT+tmpCommon.sysPx;
		tmpINT=0;
		tmpINT=document.documentElement.clientWidth-this.sQMenu_Width_B;
		tmpElement.style.left=tmpINT+tmpCommon.sysPx;
		
	}
	
	return 0;
}
CoreCommon.prototype.OnQMenu_Show=function(pType){
	this.OnQMenu_Hidden();
	var tmpElement_But=document.getElementById(this.sQMenu_Name+"_But_"+pType);
	var tmpElement_Content=document.getElementById(this.sQMenu_Name+"_Content_"+pType);
	
	tmpElement_But.className="QMenu_But_2_Light";
	tmpElement_Content.className="QMenu_Content";
	
	return 0;
}
CoreCommon.prototype.OnQMenu_Hidden=function(){
	var tmpElement_But=document.getElementById(this.sQMenu_Name+"_But_A");
	var tmpElement_Content=document.getElementById(this.sQMenu_Name+"_Content_A");
	tmpElement_But.className="QMenu_But_2";
	tmpElement_Content.className=tmpCommon.sysHidden;
	
	var tmpElement_But=document.getElementById(this.sQMenu_Name+"_But_B");
	var tmpElement_Content=document.getElementById(this.sQMenu_Name+"_Content_B");
	tmpElement_But.className="QMenu_But_2";
	tmpElement_Content.className=tmpCommon.sysHidden;
	
	
	return 0;
}



//-- ------ #Instanct ------ --
var tmpCoreCommon=new CoreCommon();



